Subject: RE: Cutting through the accumulating sludge (was: Re: Doing the Right Things? and/or WG Quality Processes WG)

From: <[email-masked]>
Date: Mon, 2 Jun 2003 14:23:40 -0500

> 
> For those who don't like reading my long notes -- at least 
> before they know what they have to say -- this note suggests 
> that we bypass WGs and even BOFs for most of this work and adopt 
> a model that uses
> 
> 	* proposal-> affirmative decision -> implementation ->
> 	subsequent review and write up -> Last Call and BCP if needed
> 
> and
> 
> 	* proposal -> negative decision -> discussion/ debate/
> 	serious write up -> Last Call
> 
> instead of pretending the tuning suggestions about WG process 
> are technical standards.  It explains why I think that is 
> appropriate, probably necessary, and The Right Thing to Do.
> 
> A more general way to categorize the things WGs do, and the ways 
> in which they should do it, might be an output from this 
> process, or a separate, longer-term, thread, but shouldn't be 
> turned into a blocking prerequisite.
> 

I completely agree. This is (possibly) a much faster route to 
accomplishing something quickly in the IETF. 

-Basavaraj

---

From: <[email-masked]>
Date: Wed, 4 Jun 2003 09:16:54 +0300

Hi Dave,

> jlnc> That sounds like a reasonable way forward, but there 
> are the boring
> jlnc> details of where to feed the proposals, get the decision, do
> jlnc> the review, who should take the lead, etc.  I think this is
> jlnc> what we need to decide to do in the next week or two.
> 
> The experience with the SIRS proposal would seem to be 
> instructive here.

Your comments, below, are not too different from what I think should happen.
I don't think that we should have design by committe or anything.  A venue
(mailing list) and potential face-to-face time to discuss it are sufficient
starting points, in my mind.

br,
John

> Brian Carpenter had an idea. He chatted it up. One soul he talked to was
> particularly taken by the idea and worked with Brian to produce a few
> paragraphs to describe it. Brian floated the paragraphys on a 
> list that seemed relevant. Comments flowed.
> 
> Brian and his unlucky cohort then produced a formal specification,
> iterating on the commentary/revision sequence sequence.
> 
> A test implementation has just started.  Lots of people have said they
> liked the idea.  Some people have volunteered to participate.  We'll see
> whether it is useful.
> 
> The only "formal" part of this was to coordinate with the IETF Chair,
> mostly to make sure that that part of the community did not have
> concerns about this.
> 
> At some point, it will be appropriate for press this into official form,
> but it is not essential to the core development or testing of 
> the idea.
> 
> Many bits of work can be done this way, and frankly I also think they
> should be.  Not all, but many.
> 
> There are substantial benefits, and few detriments. The core benefits
> are staying close to a core (good) idea and getting the details
> delivered relatively quickly. (As far as I know, Brian's idea was first
> floated only at the last IETF.) Hence there is no risk of
> design-by-committe bloat or loss of focus, and there is no significant
> risk of taking forever to produce something.
> 
> d/
> --
>  Dave Crocker <mailto:[email-masked]>
>  Brandenburg InternetWorking <http://www.brandenburg.com>
>  Sunnyvale, CA  USA <tel:+1.408.246.8253>, <fax:+1.866.358.5301>
> 
>

---

From: "Bound, Jim" <[email-masked]>
Date: Sat, 7 Jun 2003 23:43:54 -0400

Would you keep your vendor comments to private conversations.  I would
be glad to enlighten you on both counts below but we would have to agree
on what dynamic means.

Siting specific history of a company with data your willing to stand up
to in court is fine if it helps give us examples of points in time for
our work here.

/jim

> -----Original Message-----
> From: Randy Bush [mailto:[email-masked]] 
> Sent: Monday, June 02, 2003 11:09 PM
> To: John C Klensin
> Cc: [email-masked]
> Subject: Re: Cutting through the accumulating sludge (was: 
> Re: Doing the Right Things? and/or WG Quality Processes WG)
> 
> 
> > I am suggesting that, if there seems to be general sympathy on
> > the list (or otherwise) for this, that the relevant AD just do 
> > it --or delegate it to the WG Chairs or an appointed 
> > coordinator-- to do it.  The authority is there; nothing in the 
> > current procedures requires us to find a tree and dance around 
> > it in a circle while chanting "rough consensus and running 
> > code", or to create a charter and WG, before doing anything.
> 
> i think we really do not have a clear vision of what we 
> should be doing, so it is easier to talk about the processes 
> and enemies of doing it.  no blame.  this is extremely 
> difficult stuff.
> 
> i keep thinking of the analog to how some engineering 
> companies dealt with the conflicts/tensions of staying nimble 
> while undergoing large growth.  
> 
> digital equipment tried to maintain a dynamic engineering 
> culture while growing massively.  it did not work.
> 
> hp is still trying, but has become more and more stodgy and 
> has not stayed lively and dynamic.
> 
> intel may be the most successful.  one key to this success is 
> not touching anything that does not have at least a 40% 
> margin.  i.e., they say "no" to a lot of bright ideas.  i do 
> not believe that we have the culture to do that.
> 
> randy
> 
>